Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename svgmin

# tests disabled because they haven't been tagged in upstream github
%global enable_tests 0

Name:		nodejs-svgmin
Version:	0.1.0
Release:	alt1_4
Summary:	Minify SVG files

License:	MIT
URL:		https://github.com/kevva/svgmin
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# Get the license and readme files from upstream repo
Source11:	https://raw.githubusercontent.com/kevva/svgmin/master/LICENSE.md
Source12:	https://raw.githubusercontent.com/kevva/svgmin/master/README.md
# The index.js file in the npm archive is zero-length, so grab from github
# instead (master branch, since the releases aren't tagged on github)
Source13:	https://raw.githubusercontent.com/kevva/svgmin/master/index.js

BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(ware)
BuildRequires:	npm(xml2js)

%if 0%{?enable_tests}
# nothing
%endif

Requires:	node
Source44: import.info

%description
Minify SVG files


%prep
%setup -q -n package
# copy the license and readme
cp -r %{SOURCE11} .
cp -r %{SOURCE12} .
# copy the real index.js
cp -r %{SOURCE13} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
node test/test.js
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%doc --no-dereference LICENSE.md
%{nodejs_sitelib}/%{packagename}


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_4
- new version

